<div class="ui-g ui-fluid">
  <div class="ui-g-offset-3 ui-g-6">
    <div class="card card-w-title">
      <h1>{{ title }}</h1>
      <p-table [columns]="cols" [value]="roles" styleClass="ui-table-roles">
        <ng-template pTemplate="caption">
          <div class="ui-table-add-button">
            <p-button label="Add Role" icon="pi pi-plus" iconPos="left" (click)="show(-1)"></p-button>
          </div>
        </ng-template>
        <ng-template pTemplate="header" let-columns>
          <tr>
            <th *ngFor="let col of columns" [pSortableColumn]="col.field">
              {{ col.header }}
              <p-sortIcon [field]="col.field"></p-sortIcon>
            </th>
            <th>Action</th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-rowData let-i="rowIndex" let-columns="columns">
          <tr>
            <td *ngFor="let col of columns; let i = index">
              {{ rowData | accountValue: col.field }}
            </td>
            <td><p-button label="Edit" icon="pi pi-pencil" iconPos="left" (click)="show(i)"></p-button></td>
          </tr>
        </ng-template>
      </p-table>
      <div *ngIf="noRole" class="error-message"><p-message severity="error" text="Please add at least one Role."></p-message></div>
    </div>
    <tt-footer (back)="back()" (next)="next()"></tt-footer>
  </div>
</div>
